Name:		curaengine
Version:	15.04
Release:	%mkrel 4
Group:		Sciences/Computer science
Summary:	Engine for processing 3D models into G-code instructions for 3D printers
License:	AGPLv3
URL:		https://github.com/Ultimaker/CuraEngine
Source0:	https://github.com/Ultimaker/CuraEngine/archive/%{version}.tar.gz#/curaengine-%{version}.tar.gz
BuildRequires:	pkgconfig(polyclipping) >= 6.1.2
# For tests:
BuildRequires:	python

%description
CuraEngine is a C++ console application for 3D printing G-code generation. It
has been made as a better and faster alternative to the old Skeinforge engine.

This is just a console application for G-code generation. For a full graphical
application look at cura which is the graphical frontend for CuraEngine.

%prep
%setup -q -n CuraEngine-%{version}

# remove bundled clipper
rm -rf clipper
sed -i 's|#include <clipper/clipper.hpp>|#include <polyclipping/clipper.hpp>|' src/utils/*.h
sed -i 's|-lclipper|-lpolyclipping|g' Makefile
sed -i 's| $(BUILD_DIR)/libclipper.a||g' Makefile

# allow redefinition of CFLAGS and do not build it static
sed -i 's|CFLAGS +=|CFLAGS?=|' Makefile
sed -i 's|--static||g' Makefile


%build
export CFLAGS='-I. -Ilibs -c %{optflags} -std=c++11 -fomit-frame-pointer -DVERSION=\"%{version}\"'
%make_build

%install
install -Dpm0755 build/CuraEngine %{buildroot}/%{_bindir}/CuraEngine

%check
make test

%files
%doc LICENSE README.md
%{_bindir}/CuraEngine


%changelog
* Mon Sep 19 2016 akien <akien> 15.04-4.mga6
+ Revision: 1054418
- Rebuild again for polyclipping, for real this time

* Mon Sep 19 2016 akien <akien> 15.04-3.mga6
+ Revision: 1054301
- Rebuild for polyclipping 6.4

* Wed Dec 30 2015 ycantin <ycantin> 15.04-1.mga6
+ Revision: 916995
- initial import
- Created package structure for curaengine.

